<template>
    <div class="container">
        <!-- 页面头部 -->
        <HomePageHead></HomePageHead>
        <!-- 页面导航 -->
        <HomePageNavigation></HomePageNavigation>
        <!-- 新闻头条 -->
        <HomePageMessage></HomePageMessage>
        <!-- 第一部分 -->
        <div class="part1">
            <div class="part1Left">
                <div class="part1Left_title">
                    <NuxtLink to="#">
                        法制资讯
                    </NuxtLink>
                </div>
                <div class="part1Left_content">
                    <div class="content_img">
                        <NuxtLink to="#">
                            <img src="../public/index/home01.jpg" alt="">
                        </NuxtLink>
                    </div>
                    <div class="content_rightText">
                        <div class="rightText_top">
                            <NuxtLink to="#">
                                <div class="title dot1">省法院召开2025年度河北法院援藏援疆干部座谈会</div>
                                <div class="desc">
                                    　　近日，省法院召开2025年度河北法院援藏援疆干部座谈会，回顾总结一段时期以来对口援助工作的开展情况，交流心得、梳理经验、凝聚共识，进一步推动援藏援疆工作提质增效。省法院党组书记、院长黄明耀出席会议<span>[详情]</span>
                                </div>
                            </NuxtLink>
                        </div>
                        <div class="rightText_bottom">
                            <div>
                                <NuxtLink to="#">
                                    <span></span>
                                    临夏县巩固拓展脱贫攻坚成果同乡村振兴有效衔接链接
                                </NuxtLink>
                            </div>
                            <div>
                                <NuxtLink to="#">
                                    <span></span>
                                    司法护航云咖“破浪”答卷|普洱：司法服务送达
                                </NuxtLink>
                            </div>
                            <div>
                                <NuxtLink to="#">
                                    <span></span>
                                    湖北省高级人民法院发布6起交叉执行典型案例
                                </NuxtLink>
                            </div>
                            <div>
                                <NuxtLink to="#">
                                    <span></span>
                                    省法院党组书记、代理院长何莉在临夏法院调研
                                </NuxtLink>
                            </div>
                            <div>
                                <NuxtLink to="#">
                                    <span></span>
                                    德化县人民法院以“五色工作法”赋能县域发展
                                </NuxtLink>
                            </div>
                            <div>
                                <NuxtLink to="#">
                                    <span></span>
                                    湖北省法院党组理论学习中心组专题学习《习近平
                                </NuxtLink>
                            </div>
                            <div>
                                <NuxtLink to="#">
                                    <span></span>
                                    湖北十堰：“脱薄”绝不是茅箭区法院一家的事
                                </NuxtLink>
                            </div>
                            <div>
                                <NuxtLink to="#">
                                    <span></span>
                                    旌德法院到广德法院考察交流工作
                                </NuxtLink>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="part1Right">
                <div class="part1Right_title">
                    <NuxtLink to="#">
                        政策法规
                    </NuxtLink>
                </div>
                <div class="part1Right_content">
                    <div v-for="item in newsList1" :key="item">
                        <NuxtLink to="#">
                            <em></em>
                            {{ item.name }}
                        </NuxtLink>
                    </div>
                </div>
            </div>
        </div>
        <!-- 第二部分 -->
        <div class="part2">
            <div class="part2_left">
                <div class="part2_left_title">
                    <NuxtLink to="#">
                        各地动态
                    </NuxtLink>
                </div>
                <div class="part2_left_content">
                    <div class="part2LeftContent_top">
                        <div class="part2LeftContent_top_item">
                            <NuxtLink to="#">
                                <img src="../public/index/home02.jpg" alt="">
                                <div class="left_text">
                                    <div class="left_text_title">青山梦：一位古稀企业家的春香柚之恋</div>
                                    <div class="left_text_desc dot3">
                                        青山梦：一位古稀企业家的春香柚之恋一、浙商归野：千万投资换青山七十来岁的应总做出一个令所有人愕然的决定：他毅然转让了浙江经营多年的家庭企业，带着毕生积累的1200余万元，只身来到江西省宜春市袁州区新田
                                        <span>[详情]</span>
                                    </div>
                                </div>
                            </NuxtLink>
                        </div>
                    </div>
                    <div class="part2LeftContent_bottom">
                        <div v-for="item in newsList2" :key="item" class="dot1">
                            <NuxtLink to="#">
                                {{ item.name }}
                            </NuxtLink>
                        </div>
                    </div>
                </div>
            </div>
            <div class="part2_right">
                <div class="part2_right_title">
                    <NuxtLink to="#">
                        廉政时讯
                    </NuxtLink>
                </div>
                <div class="part2_right_content">
                    <NuxtLink to="#">
                        <img src="../public/index/home03.png" alt="">
                        <span class="right_title dot1"> 京津冀对在三地拟执业的司法鉴定人进行职业能力评估联考</span>
                        <div class="right_text">
                            　　7月7日，北京市司法局举办北京司法鉴定理论与实践研讨会。北京市司法局局长崔杨表示，该局积极探索区域司法鉴定行业合作机制，推动京津冀司法鉴定协同创新、资源共享。　　会上，北京、天津、河北三地司法鉴定...
                            <span>[详情]</span>
                        </div>
                    </NuxtLink>
                </div>
            </div>
        </div>
        <!-- 第三部分 -->
        <div class="part3">
            <div class="part3_left">
                <div class="part3_left_title">
                    <NuxtLink to="#">
                        政策解读
                    </NuxtLink>
                </div>
                <div class="part3_left_content">
                    <div class="part3LeftContent_top">
                        <div class="part3LeftContent_top_item">
                            <NuxtLink to="#">
                                <img src="../public/index/home04.png" alt="">
                                <div class="left_text">
                                    <div class="left_text_title dot1">别踩红线！民法典“帝王原则”管着所有民事纠纷</div>
                                    <div class="left_text_desc dot3">
                                        “买东西遇到商家隐瞒瑕疵？借钱给朋友被恶意拖欠？”这些民事纠纷里，都藏着一个民法典的核心准则——诚信原则。它被称为民法的“帝王条款”，贯穿合同、侵权、物权等所有民事领域，不管是个人还是企业，都得遵守。
                                        <span>[详情]</span>
                                    </div>
                                </div>
                            </NuxtLink>
                        </div>
                    </div>
                    <div class="part3LeftContent_bottom">
                        <div v-for="item in newsList3" :key="item" class="dot1">
                            <NuxtLink to="#">
                                {{ item.name }}
                            </NuxtLink>
                        </div>
                    </div>
                </div>
            </div>
            <div class="part3_right">
                <div class="part3_right_title">
                    <NuxtLink to="#">
                        通知公告
                    </NuxtLink>
                </div>
                <div class="part3_right_content">
                    <div class="part3RightContent_item dot1" v-for="item in newsList4" :key="item">
                        <NuxtLink to="#">{{ item.name }}</NuxtLink>
                    </div>
                </div>
            </div>
        </div>
        <!-- 第四部分 -->
        <div class="part4">
            <div class="part4Left">
                <div class="part4Left_title">
                    <NuxtLink to="#">
                        今日说法
                    </NuxtLink>
                </div>
                <div class="part4Left_content">
                    <div class="part4Content_top">
                        <NuxtLink to="#">
                            <img src="../public/index/photo01.jpg" alt="">
                            <div class="leftTop_text">
                                <div class="leftTop_text_title dot2">《吉林省实施〈中华人民共和国反恐怖主义法〉办法》新闻发布会实录</div>
                                <div class="leftTop_text_desc dot2">
                                    　　　　　　省委宣传部新闻发布处处长
                                    贾鹏锋：　　各位媒体朋友，大家上午好！欢迎参加今天的新闻发布会。　　为贯彻落实总体国家安全观，防范和惩治恐怖活动，加强反恐怖主义工作，维护国家安全、公共安全和人民...
                                    <span>[详情]</span>
                                </div>
                            </div>
                        </NuxtLink>
                    </div>
                    <div class="part4Content_bottom">
                        <div v-for="item in newsList1.slice(0, 7)" :key="item">
                            <NuxtLink to="#">{{ item.name }}</NuxtLink>
                        </div>
                    </div>
                </div>
            </div>
            <div class="part4Mid">
                <div class="part4Left_title">
                    <NuxtLink to="#">
                        典型案例
                    </NuxtLink>
                </div>
                <div class="part4Left_content">
                    <div class="part4Content_top">
                        <NuxtLink to="#">
                            <img src="../public/index/photo01.jpg" alt="">
                            <div class="leftTop_text">
                                <div class="leftTop_text_title dot2">《吉林省实施〈中华人民共和国反恐怖主义法〉办法》新闻发布会实录</div>
                                <div class="leftTop_text_desc dot2">
                                    　　　　　　省委宣传部新闻发布处处长
                                    贾鹏锋：　　各位媒体朋友，大家上午好！欢迎参加今天的新闻发布会。　　为贯彻落实总体国家安全观，防范和惩治恐怖活动，加强反恐怖主义工作，维护国家安全、公共安全和人民...
                                    <span>[详情]</span>
                                </div>
                            </div>
                        </NuxtLink>
                    </div>
                    <div class="part4Content_bottom">
                        <div v-for="item in newsList1.slice(0, 7)" :key="item">
                            <NuxtLink to="#">{{ item.name }}</NuxtLink>
                        </div>
                    </div>
                </div>
            </div>
            <div class="part2_right">
                <div class="part2_right_title">
                    <NuxtLink to="#">
                        廉政时讯
                    </NuxtLink>
                </div>
                <div class="part2_right_content">
                    <NuxtLink to="#">
                        <img src="../public/index/home03.png" alt="">
                        <span class="right_title dot1"> 京津冀对在三地拟执业的司法鉴定人进行职业能力评估联考</span>
                        <div class="right_text">
                            　　7月7日，北京市司法局举办北京司法鉴定理论与实践研讨会。北京市司法局局长崔杨表示，该局积极探索区域司法鉴定行业合作机制，推动京津冀司法鉴定协同创新、资源共享。会上，北京、天津、河北三地司法鉴定...
                            <span>[详情]</span>
                        </div>
                    </NuxtLink>
                </div>
            </div>
        </div>
        <!-- 第五部分 -->
        <div class="part5">
            <div class="part5Left">
                <div class="part5Left_title">
                    <NuxtLink to="#">
                        法纪通报
                    </NuxtLink>
                </div>
                <div class="part5Left_content">
                    <el-carousel :interval="5000" arrow="always">
                        <el-carousel-item v-for="item in 3" :key="item">
                            <div class="part5Left_item">
                                <img src="../public/index/photo04.jpg" alt="">
                                <div class="contentText">
                                    <div class="title dot1">石家庄市中级人民法院原党组书记、院长李勇被开除党籍和公职</div>
                                    <div class="desc dot4">
                                        政讯通·全国法制资讯发布中心快讯：据河北省纪委监委5月25日消息，日前，经河北省委批准，河北省纪委监委对石家庄市中级人民法院原党组书记、院长李勇严重违纪违法问题进行了立案审查调查。
                                    </div>
                                </div>
                            </div>
                        </el-carousel-item>
                    </el-carousel>
                </div>
            </div>
            <div class="part5Right">
                <div class="part2_right_title">
                    <NuxtLink to="#">
                        廉政时讯
                    </NuxtLink>
                </div>
                <div class="part2_right_content">
                    <NuxtLink to="#">
                        <img src="../public/index/home03.png" alt="">
                        <span class="right_title dot1"> 京津冀对在三地拟执业的司法鉴定人进行职业能力评估联考</span>
                        <div class="right_text">
                            　　7月7日，北京市司法局举办北京司法鉴定理论与实践研讨会。北京市司法局局长崔杨表示，该局积极探索区域司法鉴定行业合作机制，推动京津冀司法鉴定协同创新、资源共享。　　会上，北京、天津、河北三地司法鉴定...
                            <span>[详情]</span>
                        </div>
                    </NuxtLink>
                </div>
            </div>
        </div>
        <!-- 网友留言 -->
        <HomeInternetMessage></HomeInternetMessage>

        <HomeFoot></HomeFoot>
    </div>
</template>

<script setup>
const newsList1 = [
    {
        name: '淮北市：一杯清茶聚合力情理相融筑平安'
    },
    {
        name: '淮南市：法治赋能优环境双驱普法促发展'
    },
    {
        name: '六安市“宪法宣传周”活动全域覆盖'
    },
    {
        name: '池州市多维联动推动宪法宣传入脑入心'
    },
    {
        name: '无为市司法局构建立体普法矩阵厚植全民宪法信仰'
    },
    {
        name: '最高人民法院关于审理政府信息公开行政案件适用法律若干问...'
    },
    {
        name: '最高人民法院关于互联网法院案件管辖的规定'
    },
    {
        name: '最高人民法院最高人民检察院关于办理破坏黑土地资源刑事...'
    }
]

const newsList2 = [
    {
        name: '“十四五”时期北京司法行政工作“成绩单”'
    },
    {
        name: '北京市司法局与西北政法大学签署合作协议'
    },
    {
        name: '北京市司法局举办基层立法联系点启动仪式'
    },
    {
        name: '全国人大代表黄超——以高水平法治护航高质'
    },
    {
        name: '倡廉洁家风筑廉洁防线|济源中院组织干警及'
    },
    {
        name: '安化：开展送法进校园活动'
    },
    {
        name: '保险合同引纠纷法院调解暖人心'
    },
    {
        name: '全国人大代表方能烈：推动法治宣传教育走深'
    },
    {
        name: '如我在诉|从“凭什么”到“我们服”判后答'
    },
    {
        name: '解纷“—盘棋”司法“三重奏”'
    },
    {
        name: '三门峡中院党组书记、院长周东方赴潘河乡调'
    },
    {
        name: '共话AMC参与困境企业重整投资新路径—'
    },
    {
        name: '直击执行|善意执行促主动履行'
    },
    {
        name: '为了大地的丰收——以法治护航“天下第一粮'
    },
    {
        name: '宪法点亮青春法治护航成长'
    },
    {
        name: '灵宝法院召开党的二十届四中全会精神专题宣'
    },
    {
        name: '安阳中院举办学习贯彻党的二十届四中全会精'
    },
    {
        name: '如我在诉|赔偿款当场给付！'
    },
]

const newsList3 = [
    {
        name: '别踩红线！民法典“帝王原则”管着所有民事'
    },
    {
        name: '别再瞎找门路！政讯通·全国法制项目能解决大'
    },
    {
        name: '法院为啥“打回”案子？发回重审的2类情形'
    },
    {
        name: '强化科技支撑构建现代化森林草原防灭火体系'
    },
    {
        name: '全民阅读促进工作进入法治化新阶段'
    },
    {
        name: '别白跑一趟！这些情况不能申请再审'
    },
    {
        name: '丰台公安分局党委成员讲党课——第三讲：永'
    },
    {
        name: '上诉状想戳到法官痛点？就用判决书的逻辑反'
    },
    {
        name: '北京市法学会举办2024年第三期“百名法学青'
    },
    {
        name: '密云区检察院：益心守护“云水蓝”'
    },
    {
        name: '党建为纲“四通”护企北京市通州区检察院经'
    },
    {
        name: '丰台公安分局党委成员讲党课——第二讲：莲'
    },
    {
        name: '北京边检总站执勤六大队执勤二队党支部与首'
    },
    {
        name: '提审VS指令再审：改判的关键从不是“谁来'
    },
    {
        name: '不是矫情！这些情况主张精神赔偿合情合法'
    },
    {
        name: '加强党建引领打造保安铁军——丰台区成立'
    },
    {
        name: '中国方正出版社推出《中华人民共和国监察'
    },
    {
        name: '判决生效有异议？再审申请的4条路记好'
    },
]

const newsList4 = [
    {
        name: '湖南省司法厅机关办公区物业服务项目成交结果公告'
    },
    {
        name: '湖南省关于2025年国家统一法律职业资格主观题考试成绩'
    },
    {
        name: '中共湖南省委全面依法治省委员会办公室关于征集法治建设问...'
    },
    {
        name: '湖南省司法厅机关办公区物业服务项目竞争性磋商公告'
    },
    {
        name: '湖南省司法厅停车场改造工程竞争性磋商邀请公告'
    },
    {
        name: '湖南省司法厅2025年度公开送选公务员拟递选人员公示'
    },
    {
        name: '湖南省律师事务所和律师2024年度考核结果公告'
    },
    {
        name: '湖南省基层法律服务所和基层法律服务工作者2024年度考核...'
    },
    {
        name: '湖南省戒毒管理局2025年度公开透选公务员拟透选人员公示'
    },
    {
        name: '湖南省司法厅政务新媒体运维和奥情监测服务采购项目竞争性...'
    }
]

//页面是否已经加载完毕
const pageLoading = ref(false)
//1.加载页面必备组件 start---------------------------------------->
import { ref, onMounted } from 'vue';
import { ElRadio, ElRadioGroup, ElCheckbox, ElCheckboxGroup, ElMessage, ElInput, ElCarousel, ElCarouselItem } from 'element-plus';
import { useSeoMeta } from '#imports';

//格式化跳转路径 - 标题
//首页分类栏目标题，不需要考虑外链
const getLinkPath = (item) => {
    if (item.children_count == 0) {
        //return `/newsList/${item.cid}?page=1`;
        return `/${item.aLIas_pinyin}/list-1.html`;
    } else {
        //return `/primaryNavigation/${item.cid}`;
        return `/${item.aLIas_pinyin}/index.html`;
    }
}
//首页跳转到详情，这里需要考虑外链
const getLinkPathDetail = (item) => {
    if (item.islink == 1) {
        return `${item.linkurl}`;
    } else {
        return `/${item.pinyin}/${item.id}.html`;
    }
}
//1.加载页面必备组件 end---------------------------------------->

//2.交互方法 start---------------------------------------->
//2.1 新闻图片切换
const hoverStatus = ref(1)
const qhPic = function (num) {
    hoverStatus.value = num;
}
//2.交互方法 end---------------------------------------->


//3.投票 start---------------------------------------->
//3.1 投票选择的值
const radio1 = ref(''); //单选
const check1 = ref([]); //多选
const isDisabled = ref(false);//是否禁用提交按钮
const isRadio = ref(true);//是否渲染单选

const userSurId = ref('');//投票属于哪一篇文章
const userChoice = ref('');//用于判断用户选择了其他选项以后，输入的值
const userIsChoice = ref('');//用于判断其他选项目前是什么值
const showUserChoice = ref(false);//是否显示其他输入框
const websiteSurveyData = ref([]);//投票结果

//3.2获得投票列表
let voteList = ref([]);
//广告改为客户端启动
// async function getVoteList(){
//     const voteData = await requestHome('/web/getWebsiteSurvey',{method:'GET'});
//     //这里有问题，后台传入的数据已经发生了变化，按照传入的进行修改
//     if(voteData.code == 200){
//         voteList.value = voteData.data;
//         console.log(voteList.value)
//         //判断显示单选还是多选
//         //survey_type 0是单选 1是多选
//         if(voteData.data[0].survey_type == 0){
//             isRadio.value = true;
//         }else{
//             isRadio.value = false;
//         }

//         for(let item of voteData.data){
//             //如果含有其他
//             if(item.is_other==1){
//                 userIsChoice.value = item.id;
//             }
//         }
//         //用户投票属于哪一篇文章
//         userSurId.value = voteData.data[0].sur_id;

//     }else{
//         console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->")
//         console.log("错误位置：首页投票")
//         console.log("后端错误反馈：",voteData.message)
//         console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->") 
//     }
// }
//getVoteList()
//3.2当用户选择了选项，判断是否展示其他输入框
const handleRadioChange = (value) => {
    if (value == userIsChoice.value) {
        showUserChoice.value = true;
    } else {
        showUserChoice.value = false;
    }
}

const handleCheckboxChange = (value) => {
    if (value.includes(userIsChoice.value)) {
        showUserChoice.value = true;
    } else {
        showUserChoice.value = false;
    }
}

//3.2发起投票
async function addWebsiteSurvey() {
    //判断当前是单选还是多选
    console.log(isRadio.value)
    if (isRadio.value) {
        console.log("用户单选！")
        if (radio1.value != '') {
            //先判断一下是否使用了其他选项
            if (showUserChoice.value) {
                if (userChoice.value != '') {
                    //文章id
                    // console.log(userSurId.value)
                    // 用户输入的值
                    // console.log(userChoice.value)
                    //如果使用了其他，其他的选项需要增加进去
                    const ChoiceData = await requestDataPromise('/web/addWebsiteSurveyOption', {
                        method: 'GET',
                        query: {
                            'sur_id': userSurId.value,//投票的新闻id
                            'choice_name': userChoice.value,//投票的选项id
                        }
                    });
                    if (ChoiceData.code == 200) {
                        //提交完其他选项以后，再正式发起投票
                        const mkData = await requestDataPromise('/web/addWebsiteSurveyVote', {
                            method: 'GET',
                            query: {
                                'sur_id': userSurId.value,
                                'choice_id': ChoiceData.data
                            }
                        });
                        if (mkData.code == 200) {
                            ElMessage.success('投票成功！')
                            //把投票结果显示到页面上 禁用投票按钮
                            isDisabled.value = true;
                            websiteSurveyData.value = mkData.data;
                            //遍历一下，把用户选中的那个设置status为1
                            let data = mkData.data;
                            //遍历一下，把用户选中的那个设置status为1
                            for (let item of data.data) {
                                for (let i of data.choice) {
                                    if (item.id == i) {
                                        console.log(item.id)
                                        item.status = 1;
                                    }
                                }
                            }
                            websiteSurveyData.value = data;
                        } else {
                            ElMessage.error(mkData.message)
                        }
                    } else {
                        ElMessage.error('其他投票失败！')
                    }
                } else {
                    ElMessage.error('请输入选项内容！')
                }
            } else {
                //如果没选择其他，直接提交选择的内容
                const mkData = await requestDataPromise('/web/addWebsiteSurveyVote', {
                    method: 'GET',
                    query: {
                        'sur_id': userSurId.value,
                        'choice_id': radio1.value
                    }
                });
                if (mkData.code == 200) {
                    ElMessage.success('投票成功！')
                    //把投票结果显示到页面上 禁用投票按钮
                    isDisabled.value = true;
                    let data = mkData.data;
                    //遍历一下，把用户选中的那个设置status为1
                    for (let item of data.data) {
                        for (let i of data.choice) {
                            if (item.id == i) {
                                item.status = 1;
                            }
                        }
                    }
                    websiteSurveyData.value = data;
                } else {
                    ElMessage.error('投票失败！')
                }
            }
        } else {
            ElMessage.error('请选择一个选项')
        }
    } else {
        console.log("多选！")
        //多选
        if (check1.value != []) {
            //先判断一下是否使用了其他选项
            if (showUserChoice.value) {
                if (userChoice.value != '') {
                    //判断用户是否只选择了一个其他
                    if (check1.value.length == 1) {
                        const ChoiceData = await requestDataPromise('/web/addWebsiteSurveyOption', {
                            method: 'GET',
                            query: {
                                'sur_id': userSurId.value,//投票的新闻id
                                'choice_name': userChoice.value,//用户输入的其他选项文字
                            }
                        });
                        if (ChoiceData.code == 200) {
                            //提交完其他选项以后，再正式发起投票
                            const mkData = await requestDataPromise('/web/addWebsiteSurveyVote', {
                                method: 'GET',
                                query: {
                                    'sur_id': userSurId.value,
                                    'choice_id': ChoiceData.data
                                }
                            });
                            if (mkData.code == 200) {
                                ElMessage.success('投票成功！')
                                //把投票结果显示到页面上 禁用投票按钮
                                isDisabled.value = true;
                                websiteSurveyData.value = mkData.data;
                                //遍历一下，把用户选中的那个设置status为1
                                let data = mkData.data;
                                //遍历一下，把用户选中的那个设置status为1
                                for (let item of data.data) {
                                    for (let i of data.choice) {
                                        if (item.id == i) {
                                            console.log(item.id)
                                            item.status = 1;
                                        }
                                    }
                                }
                                websiteSurveyData.value = data;
                            } else {
                                ElMessage.error(mkData.message)
                            }
                        } else {
                            ElMessage.error('其他投票失败！')
                        }

                    } else {
                        //用户选择了除了其他以外，还包括别的选项
                        const ChoiceData = await requestDataPromise('/web/addWebsiteSurveyOption', {
                            method: 'GET',
                            query: {
                                'sur_id': userSurId.value,//投票的新闻id
                                'choice_name': userChoice.value,//用户输入的其他选项文字
                            }
                        });
                        if (ChoiceData.code == 200) {
                            let data = check1.value;
                            //找到多选的数组，把其他默认值给替换掉
                            for (let i = 0; i < data.length; i++) {
                                if (data[i] == userIsChoice.value) {
                                    data[i] = ChoiceData.data;
                                }
                            }
                            let jsonArray = JSON.stringify(data);
                            //提交完其他选项以后，再正式发起投票
                            const mkData = await requestDataPromise('/web/addWebsiteSurveyVote', {
                                method: 'GET',
                                query: {
                                    'sur_id': userSurId.value,
                                    'choice_id': jsonArray
                                }
                            });

                            if (mkData.code == 200) {
                                ElMessage.success('投票成功！')
                                //把投票结果显示到页面上 禁用投票按钮
                                isDisabled.value = true;
                                websiteSurveyData.value = mkData.data;
                                //遍历一下，把用户选中的那个设置status为1
                                let data = mkData.data;
                                //遍历一下，把用户选中的那个设置status为1
                                for (let item of data.data) {
                                    for (let i of data.choice) {
                                        if (item.id == i) {
                                            //console.log(item.id)
                                            item.status = 1;
                                        }
                                    }
                                }
                                websiteSurveyData.value = data;
                            } else {
                                ElMessage.error(mkData.message)
                            }
                        } else {
                            ElMessage.error('其他投票失败！')
                        }

                    }
                } else {
                    ElMessage.error('请输入选项内容！')
                }
            } else {
                let jsonArray = JSON.stringify(check1.value);
                //如果没选择其他，直接提交选择的内容
                const mkData = await requestHome('/web/addWebsiteSurveyVote', {
                    method: 'GET',
                    query: {
                        'sur_id': userSurId.value,
                        'choice_id': jsonArray
                    }
                });
                if (mkData.code == 200) {
                    ElMessage.success('投票成功！')
                    //把投票结果显示到页面上 禁用投票按钮
                    isDisabled.value = true;
                    websiteSurveyData.value = mkData.data;
                    //遍历一下，把用户选中的那个设置status为1
                    let data = mkData.data;
                    //遍历一下，把用户选中的那个设置status为1
                    for (let item of data.data) {
                        for (let i of data.choice) {
                            if (item.id == i) {
                                console.log(item.id)
                                item.status = 1;
                            }
                        }
                    }
                    websiteSurveyData.value = data;
                } else {
                    ElMessage.error('投票失败！')
                }
            }
        } else {
            ElMessage.error('请选择一个选项')
        }
    }
}
//3.投票 end---------------------------------------->


//4.广告 start---------------------------------------->
//获得所有广告
let adImg1 = ref({})
let adImg2 = ref({})
let adImg3 = ref({})
let adImg4 = ref({})

onMounted(async () => {

    //从客户端获取行政职能部门 加快打开速度//从客户端获取行政职能部门 加快打开速度
    const { $webUrl, $CwebUrl } = useNuxtApp();

    //从客户端启动投票
    //获得投票列表
    let voteUrl = `${$webUrl}/web/getWebsiteSurvey`
    const responseVote = await fetch(voteUrl, {
        headers: {
            'Content-Type': 'application/json',
            'Userurl': $CwebUrl,
            'Origin': $CwebUrl
        }
    });
    const voteData = await responseVote.json();
    if (voteData.code == 200) {
        voteList.value = voteData.data;
        //判断显示单选还是多选
        //survey_type 0是单选 1是多选
        if (voteData.data[0].survey_type == 0) {
            isRadio.value = true;
        } else {
            isRadio.value = false;
        }

        for (let item of voteData.data) {
            //如果含有其他
            if (item.is_other == 1) {
                userIsChoice.value = item.id;
            }
        }
        //用户投票属于哪一篇文章
        userSurId.value = voteData.data[0].sur_id;

    } else {
        // console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->")
        // console.log("错误位置：首页投票")
        // console.log("后端错误反馈：",voteData.message)
        // console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->") 
    }

    //从客户端启动广告
    //广告1
    let url = `${$webUrl}/web/getWebsiteAdvertisement?ad_tag=snzxw_index_0001`
    const responseAd1 = await fetch(url, {
        headers: {
            'Content-Type': 'application/json',
            'Userurl': $CwebUrl,
            'Origin': $CwebUrl
        }
    });
    const resultAd1 = await responseAd1.json();
    adImg1.value = resultAd1.data[0];

    //广告2
    let url2 = `${$webUrl}/web/getWebsiteAdvertisement?ad_tag=snzxw_index_0002`
    const responseAd2 = await fetch(url2, {
        headers: {
            'Content-Type': 'application/json',
            'Userurl': $CwebUrl,
            'Origin': $CwebUrl
        }
    });
    const resultAd2 = await responseAd2.json();
    adImg2.value = resultAd2.data[0];

    //广告3
    let url3 = `${$webUrl}/web/getWebsiteAdvertisement?ad_tag=snzxw_index_0003`
    const responseAd3 = await fetch(url3, {
        headers: {
            'Content-Type': 'application/json',
            'Userurl': $CwebUrl,
            'Origin': $CwebUrl
        }
    });
    const resultAd3 = await responseAd3.json();
    adImg3.value = resultAd3.data[0];

    //广告4
    let url4 = `${$webUrl}/web/getWebsiteAdvertisement?ad_tag=snzxw_index_0004`
    const responseAd4 = await fetch(url4, {
        headers: {
            'Content-Type': 'application/json',
            'Userurl': $CwebUrl,
            'Origin': $CwebUrl
        }
    });
    const resultAd4 = await responseAd4.json();
    adImg4.value = resultAd4.data[0];

})


//4.交互方法 end---------------------------------------->

//5.页面基本信息 start---------------------------------------->
//5.1 导航信息
const pageData = ref([
    // { cid: "", title: "", data: [] ,children_count:""},
]);
//5.2 模块数据
//注意前置变量 在nuxt3的ssr模式中，并不存在变量提升。
//模块1
const boxData1 = ref([])
const boxData1data2 = ref([])
//模块2
const boxData2 = ref([]);
//模块3 - 该数据已经在模块中请求
//const boxData3 = ref([]);
//模块4
const boxData4 = ref([]);
//模块5
const boxData5 = ref([]);
const boxData5data2 = ref([]);
//模块6
const boxData6 = ref([]);
//模块7
const boxData7 = ref([]);
//模块8
const boxData8 = ref([]);
const boxData88 = ref([]);
//模块9 模块10 切换
const tabsData1 = ref(1)
//模块9
const boxData9 = ref([]);
const boxData9data2 = ref([]);
//模块10 
const boxData10 = ref([]);
const boxData10data2 = ref([]);
//模块11
const boxData11 = ref([]);
const boxData11data2 = ref([]);
//模块12 模块13 切换
const tabsData2 = ref(1)
//模块12
const boxData12 = ref([]);
//模块13 - 该模块只有一个入口
const boxData13 = ref([]);
//模块14 模块15 切换
const tabsData3 = ref(1)
//模块14 - 该模块含有子导航
const boxData14 = ref([]);
const boxData14data2 = ref([]);
const boxData14menu = ref([]);
const boxData14childpinyin = ref([]);
const boxData14mainData = ref([]);
//模块15
const boxData15 = ref([]);
const boxData15data2 = ref([]);
const boxData15menu = ref([]);
const boxData15childpinyin = ref([]);
const boxData15mainData = ref([]);
//模块16 模块17 切换
const tabsData4 = ref(1)
//模块16 - 该模块含有子导航
const boxData16 = ref([]);
const boxData16data2 = ref([]);
const boxData16menu = ref([]);
const boxData16childpinyin = ref([]);
const boxData16mainData = ref([]);
//模块17 - 政策法规 本来这个是模块3 原来是单独放到一个模块中的，现在提出来了
const boxData17 = ref({})


//3.2获得导航数据
try {
    const navigateData = await requestDataPromise('/web/getWebsiteModelCategory', {
        method: 'GET',
        query: {
            'placeid': 1,
            'pid': 0,
            'num': 30
        },
    });
    if (navigateData.code == 200) {
        // 遍历可用的导航池放到页面中
        for (let index in navigateData.data) {
            let data = {
                title: navigateData.data[index].name,
                cid: navigateData.data[index].category_id,
                children_count: navigateData.data[index].children_count,
                alias: navigateData.data[index].alias,
                aLIas_pinyin: navigateData.data[index].aLIas_pinyin
            };
            //主体渲染 第一层
            //新农村11
            if (navigateData.data[index].category_id == 11) { pageData.value[0] = data }
            //农民工317
            if (navigateData.data[index].category_id == 317) { pageData.value[1] = data }
            //第二层
            //政策法规1
            if (navigateData.data[index].category_id == 2) { pageData.value[2] = data }
            //三农之窗2
            if (navigateData.data[index].category_id == 1) { pageData.value[3] = data }
            //第三层
            //区域经济5
            if (navigateData.data[index].category_id == 5) { pageData.value[4] = data }
            //三农投资6
            if (navigateData.data[index].category_id == 12) { pageData.value[5] = data }
            //农贸信息13
            if (navigateData.data[index].category_id == 13) { pageData.value[6] = data }
            //书刊信息24三农调查28
            if (navigateData.data[index].category_id == 28) { pageData.value[7] = data }
            //第四层
            //三农科教14
            if (navigateData.data[index].category_id == 14) { pageData.value[8] = data }
            //文化生活15
            if (navigateData.data[index].category_id == 15) { pageData.value[9] = data }
            //三农服务27
            if (navigateData.data[index].category_id == 27) { pageData.value[10] = data }
            //第五层
            //三农探索16
            if (navigateData.data[index].category_id == 16) { pageData.value[11] = data }
            //三农人物18
            if (navigateData.data[index].category_id == 18) { pageData.value[12] = data }
            //第六层
            //农资购销21
            if (navigateData.data[index].category_id == 21) { pageData.value[13] = data }
            //农产购销153
            if (navigateData.data[index].category_id == 153) { pageData.value[14] = data }
            //第七层
            //打假维权26
            if (navigateData.data[index].category_id == 26) { pageData.value[15] = data }
        }
    } else {
        console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->")
        console.log("错误位置：首页导航池")
        console.log("后端错误反馈：", navigateData.message)
        console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->")
    }
} catch (error) {
    console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->")
    console.log("错误位置：首页导航渲染阶段")
    console.log("错误：导航池渲染执行接口出错！请检查首页的14的模块的具体执行方法！")
    console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->")
}



let getJson = [
    { "parent": "11,2,8", "child": "" },//模块1新农村 
    { "parent": "317,0,8", "child": "" },//模块2农民工 
    { "parent": "1,0,5", "child": "" },//模块4三农之窗
    { "parent": "5,1,1", "child": "" },//模块5区域经济
    { "parent": "12,0,3", "child": "" },//模块6三农投资 
    { "parent": "13,0,4", "child": "" },//模块7农贸信息 
    { "parent": "28,2,7", "child": "" },//模块8书刊信息=三农调查
    { "parent": "14,2,8", "child": "" },//模块9三农科教 
    { "parent": "15,2,8", "child": "" },//模块10文化生活
    { "parent": "27,2,4", "child": "" },//模块11三农服务27
    { "parent": "16,0,14", "child": "" },//模块12三农探索16
    { "parent": "18,0,14", "child": "" },//模块13三农人物18
    { "parent": "21,2,8", "child": "188,0,5" },//模块14农资购销
    { "parent": "153,2,8", "child": "258,0,5" },//模块15农产购销
    { "parent": "26,4,8", "child": "191,0,5" },//模块16打假维权
    { "parent": "2,4,8", "child": "" },//模块3政策法规
]

let jsonString = JSON.stringify(getJson);

async function getPageAllData() {
    const mkdata = await requestDataPromise('/web/getWebsiteAllArticle', {
        method: 'GET',
        query: {
            'id': jsonString
        },
    });
    console.log("makdata:", mkdata);


    if (mkdata.code == 200) {
        //模块1新农村
        boxData1.value = mkdata.data[0].imgnum;
        boxData1data2.value = mkdata.data[0].textnum;
        //模块2农名工
        boxData2.value = mkdata.data[1].textnum;
        //模块4三农之窗
        boxData4.value = mkdata.data[2].textnum;
        //模块5区域经济
        boxData5.value = mkdata.data[3].imgnum;
        boxData5data2.value = mkdata.data[3].textnum;
        //模块6三农投资
        boxData6.value = mkdata.data[4].textnum;
        //模块7农贸信息
        boxData7.value = mkdata.data[5].textnum;
        //模块8书刊信息
        boxData8.value = mkdata.data[6].imgnum;
        boxData88.value = mkdata.data[6].textnum;
        //模块9三农科教
        boxData9.value = mkdata.data[7].imgnum;
        boxData9data2.value = mkdata.data[7].textnum;
        //模块10文化生活
        boxData10.value = mkdata.data[8].imgnum;
        boxData10data2.value = mkdata.data[8].textnum;
        //模块11三农服务
        boxData11.value = mkdata.data[9].imgnum;
        boxData11data2.value = mkdata.data[9].textnum;
        //模块12三农探索
        boxData12.value = mkdata.data[10].textnum;
        //模块13三农人物
        boxData13.value = mkdata.data[11].textnum;
        //模块14农资购销 该栏目含有子导航
        boxData14.value = mkdata.data[12].imgnum;
        boxData14data2.value = mkdata.data[12].textnum;
        boxData14menu.value = mkdata.data[12].child.all_childcat;
        boxData14childpinyin.value = mkdata.data[12].child.pinyin;
        boxData14mainData.value = mkdata.data[12].child.textnum;
        //模块14农产购销 
        boxData15.value = mkdata.data[13].imgnum;
        boxData15data2.value = mkdata.data[13].textnum;
        boxData15menu.value = mkdata.data[13].child.all_childcat;
        boxData15childpinyin.value = mkdata.data[13].child.pinyin;
        boxData15mainData.value = mkdata.data[13].child.textnum;
        //模块15打假维权 
        boxData16.value = mkdata.data[14].imgnum;
        boxData16data2.value = mkdata.data[14].textnum;
        boxData16menu.value = mkdata.data[14].child.all_childcat;
        boxData16childpinyin.value = mkdata.data[14].child.pinyin;
        boxData16mainData.value = mkdata.data[14].child.textnum;
        //模块17政策法规
        boxData17.value = mkdata.data[15];

    } else {
        ElMessage.error(mkdata.message)
    }
}
getPageAllData();
//5.页面基本信息 end---------------------------------------->

//6.设置seo数据 start---------------------------------------->
//获取seo数据
const setData = await requestDataPromise('/web/getWebsiteFootInfo', {
    method: 'GET',
    query: {},
});
if (setData.code == 200) {
    let seoTitle = setData.data.website_head.title;
    let seoDescription = setData.data.website_head.description;
    let seoKeywords = setData.data.website_head.keywords;
    let seoSuffix = setData.data.website_head.suffix;
    let seoName = setData.data.website_head.website_name;

    useSeoMeta({
        title: seoTitle + "_" + seoSuffix,
        meta: [
            { name: 'description', content: seoDescription + "_" + seoName + "_" + seoSuffix, tagPriority: 10 },
            { name: 'keywords', content: seoKeywords + "_" + seoName + "_" + seoSuffix, tagPriority: 10 },
            { name: 'viewport', content: "width=device-width,initial-scale=1,user-scalable=no" }
        ]
    });
} else {
    // console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->")
    // console.log("错误位置：设置首页SEO数据")
    // console.log("后端错误反馈：",setData.message)
    // console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->")
}
//6.设置seo数据 start---------------------------------------->
</script>

<style lang="less" scoped>
@import url('@/assets/css/index.less');
</style>
